Package org.jbpm.kie.services.impl.query

## Class GroupColumnFilter

- java.lang.Object
- - org.jbpm.kie.services.impl.query.GroupColumnFilter

- All Implemented Interfaces:
    `Serializable`

      public class GroupColumnFilter
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroupColumnFilter​(String columnId, String newColumnId, String intervalSize, int maxIntervals)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getColumnId()` |
    `String` | `getIntervalSize()` |
    `int` | `getMaxIntervals()` |
    `String` | `getNewColumnId()` |
    `void` | `setColumnId​(String columnId)` |
    `void` | `setIntervalSize​(String intervalSize)` |
    `void` | `setMaxIntervals​(int maxIntervals)` |
    `void` | `setNewColumnId​(String newColumnId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupColumnFilter

          public GroupColumnFilter​(String columnId,
                                   String newColumnId,
                                   String intervalSize,
                                   int maxIntervals)

  - ### Method Detail

    - #### getNewColumnId

          public String getNewColumnId()

    - #### setNewColumnId

          public void setNewColumnId​(String newColumnId)

    - #### getColumnId

          public String getColumnId()

    - #### setColumnId

          public void setColumnId​(String columnId)

    - #### getIntervalSize

          public String getIntervalSize()

    - #### setIntervalSize

          public void setIntervalSize​(String intervalSize)

    - #### getMaxIntervals

          public int getMaxIntervals()

    - #### setMaxIntervals

          public void setMaxIntervals​(int maxIntervals)